#
# spec file for package honggfuzz
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           honggfuzz
Version:        0.9
Release:        2.1
Summary:        Security-oriented fuzzer with various analysis options
License:        Apache-2.0
Group:          Development/Tools/Other
Url:            https://google.github.io/honggfuzz/
Source:         https://github.com/google/honggfuzz/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM https://github.com/google/honggfuzz/pull/144
Patch0:         reproducible.patch
# PATCH-FIX-UPSTREAM Make this package compile with gcc7 https://github.com/google/honggfuzz/issues/145
Patch1:         gcc7.patch
BuildRequires:  binutils-devel
BuildRequires:  libunwind-devel
BuildRequires:  zlib-devel

%description
Security-oriented fuzzer with powerful analysis options. Supports
evolutionary, feedback-driven fuzzing based on code coverage
(software and hardware).

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags} ARCH_LDFLAGS="-L/usr/local/include -L/usr/include -lpthread -lunwind-ptrace -lunwind-generic -lbfd -lopcodes -lrt -liberty -lz -ldl"

%install
install -D -p -m 0755 %{name} \
  %{buildroot}%{_bindir}/%{name}

%files
%defattr(-,root,root)
%doc COPYING CHANGELOG CONTRIBUTING README.md
%{_bindir}/%{name}

%changelog
* Mon May 29 2017 bwiedemann@suse.com
- Add reproducible.patch to sort input files to make build reproducible
  (boo#1041090)
- Add gcc7.patch to make it build on GCC7 in Factory
* Sat Apr 29 2017 mpluskal@suse.com
- Update to version 0.9:
  * Smaller and bigger reworks:
    + Android Makefile
    + New sanitizers.c
    + Display console with scrolling logs
    + Improved libhfuzz - esp. the trace_cmp handling
    + Improved mangle.c
  * Multiple examples of persistent fuzzing: libpng, jpeg, libxml,
    apache, openssl
* Sun Feb  5 2017 jengelh@inai.de
- Update description
* Sat Jan 28 2017 mpluskal@suse.com
- Initial package for version 0.8
